The Engineering tools is meant to be installed as a patch. Therefore, the RPM is generated as part 
of the build but is not included in the image. Assuming your development environment is fully set up,
simply run patch-engtools.sh to generate the patch:

In this directory ($MY_REPO/stx/middleware/util/recipes-common/engtools/hostdata-collectors),
enter the command:
>./patch-engtools.sh

This generates ENGTOOLS-X.patch (X is Tis release version) which can be applied via sw-patch.

The patch is built with --all-nodes option by default. This can be changed to a combination of the following: 
--controller, --compute, --storage, --controller-compute, and --compute-lowlatency.
